Foros del Web » Programando para Internet » PHP »

Instalar GD para PHP en Fedora 4 via ssh

Estas en el tema de Instalar GD para PHP en Fedora 4 via ssh en el foro de PHP en Foros del Web. Bueno, basicamente como dice mi titulo, busco instalar la libreria GD para PHP en Fedora 4. Tengo acceso via ssh unicamente al servidor. He buscado ...
  #1 (permalink)  
Antiguo 13/04/2006, 03:22
 
Fecha de Ingreso: septiembre-2002
Ubicación: Mexico
Mensajes: 142
Antigüedad: 15 años, 3 meses
Puntos: 0
Instalar GD para PHP en Fedora 4 via ssh

Bueno, basicamente como dice mi titulo, busco instalar la libreria GD para PHP en Fedora 4. Tengo acceso via ssh unicamente al servidor. He buscado informacion, pero nada mas parece claro....baje los fuentes de gd, pero no se compilarlos (por ahi dice que con ./configure --with-gd pero no logro encontrar el folder fuente del php)

He visto que con rpm, pero igual desconozco la instruccion. Me imagino que necesito esta distribuicion http://www.rpmfind.net//linux/RPM/fe...33-2.i386.html

ojala puedan ayudarme, gracias.
__________________
www.subflash.com <-----visita
  #2 (permalink)  
Antiguo 13/04/2006, 10:19
Avatar de claudiovega  
Fecha de Ingreso: octubre-2003
Ubicación: Puerto Montt
Mensajes: 3.667
Antigüedad: 14 años, 1 mes
Puntos: 11
En fedora no necesitas instalar programas desde codigo fuente, sólo debes configurar bien tu repositiorios para yum o up2date, la gracia de esto es que no tienes que meterte con las dependencias de los paquetes. La opción de los RPM es buena pero si bajas un paquete RPM sin GD, o el paquete tiene dependencias de otras libreria incumplidas seguirás con lios. Te recomiendo que hagas tu pregunta en el foro de Linux de este sitio, donde hay personas que manejan muy bien el tema de la instalación de software en Linux y en particular sobre fedora.
  #3 (permalink)  
Antiguo 13/04/2006, 11:05
O_O
 
Fecha de Ingreso: enero-2002
Ubicación: Santiago - Chile
Mensajes: 34.417
Antigüedad: 15 años, 11 meses
Puntos: 126
En Fedora .. tan sólo (por SSH en tu línea de comandos como root):

yum install php-gd
(ya te buscará las dependencias de otras librerías o versiones actualizadas e incluso te avisará si por una de aquellas ya lo tuvieras instalado (alguna versión))

y listo .. Si instalastes PHP con RPM's (los que gestiona "yum" a su vez) no deberías tener problemas. (digo por "RPM's" y no compilado "a mano" por si cambiastes las rutas de instalación y demás).

Lo único que debes revisar es que versión de GD tienes disponibles en los repositorios que "Yum" va a buscar .. es decir .. lo disponible para Fedora 4.

Te puedo comentar que en los repositorios standars (de "yum") para Fedora 4 instala:
bundled (2.0.28 compatible)

(así me lo dejó usando yum como indico).

Un saludo,
__________________
Por motivos personales ya no puedo estar con Uds. Fue grato haber compartido todos estos años. Igualmente los seguiré leyendo.

Última edición por Cluster; 13/04/2006 a las 11:11
  #4 (permalink)  
Antiguo 13/04/2006, 12:09
 
Fecha de Ingreso: septiembre-2002
Ubicación: Mexico
Mensajes: 142
Antigüedad: 15 años, 3 meses
Puntos: 0
Parece que con yum me esta funcionando, pero tengo un problema. Tiene que descargar una actualizacion del php y lo hace...pero descaga un poco, y despues me manda el error de

Error Downloading Packages:
php - 4.3.9-3.9.i386: failure: CentOS/RPMS/php-4.3.9-3.9.i386.rpm from base: [Errno 256] No more mirrors to try.


Como puedo forzar a que siga bajandolo de ahi?
Es que el servidor al parecer tiene mucho trafico o no se, pero a horas pico se alenta mucho (otro problema que debo resolver).

Saludos!
__________________
www.subflash.com <-----visita
  #5 (permalink)  
Antiguo 13/04/2006, 12:27
 
Fecha de Ingreso: septiembre-2002
Ubicación: Mexico
Mensajes: 142
Antigüedad: 15 años, 3 meses
Puntos: 0
yuhuu
tan facil que era con yum y yo dandole vueltas a todo.
Muchisimas gracias a los dos, especialmente a Cluster, que me ha sacado de muchisismas.
__________________
www.subflash.com <-----visita
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Tema Cerrado




La zona horaria es GMT -6. Ahora son las 12:20.